RoutesMcp serversServerslugSkill files
/mcp-servers/{serverSlug}/skill-files
Read one file of a skill from an MCP server with the caller's credentials and verify it against the skill entry
AuthorizationBearer <token>
In: header
Path Parameters
serverSlug*string
Query Parameters
uri*string
URI of the file as the server publishes it
Length
1 <= lengthResponse Body
application/json
curl -X GET "https://YOUR_ORG_ID.s.gatana.ai/api/v1/mcp-servers/string/skill-files?uri=string"{
"file": {
"path": "string",
"sizeBytes": 0,
"digest": "string",
"mimeType": "string",
"encoding": "utf8",
"content": "string",
"uri": "string"
},
"credentialPrompt": {
"message": "string",
"authorizeUrl": "string"
}
}